
/****** Object:  Table [dbo].[CustomerDetails]    Script Date: 8/8/2014 6:25:14 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[CustomerDetails](
	[CustomerId] [int] NOT NULL,
	[Name] [varchar](100) NOT NULL,
	[Country] [varchar](50) NOT NULL,
 CONSTRAINT [PK_CustomerDetails] PRIMARY KEY CLUSTERED 
(
	[CustomerId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF

/****** Object:  StoredProcedure [dbo].[InsertXML]    Script Date: 8/8/2014 6:25:23 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[InsertXMLFile]
	@FilePath VARCHAR(100)
AS
BEGIN
	SET NOCOUNT ON;		

	DECLARE @xml XML  
	DECLARE @SQL NVARCHAR(1000)= 'SET @xml = (SELECT * FROM OPENROWSET (BULK ''' + @FilePath + ''', SINGLE_CLOB) AS XmlData)'
	EXEC sp_executesql @SQL, N'@xml XML OUTPUT', @xml OUTPUT;

	INSERT INTO CustomerDetails
	SELECT
	Customer.value('@Id','INT') AS Id, --ATTRIBUTE
	Customer.value('(Name/text())[1]','VARCHAR(100)') AS Name, --TAG
	Customer.value('(Country/text())[1]','VARCHAR(100)') AS Country --TAG
	FROM
	@xml.nodes('/Customers/Customer')AS TEMPTABLE(Customer)
END


EXEC [InsertXMLFile] 'D:\Files\CustomerData.xml'



